Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign.action
Class ActionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.campaign.action.ActionException

All Implemented Interfaces
  Serializable

    public class ActionException

extends Exception

Generic exception to be thrown by an Action implementation so that Action clients can just check for this one type, regardless of what the action is doing.

See Also
  Serialized Form

Constructor Summary
`ActionException()`
`ActionException(Exception e)` Wrap the original exception.
`ActionException(Exception e, String message)` Wrap the original exception and add an Action-specific message.
`ActionException(String message)`

Method Summary
`Exception` | `getEmbeddedException()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionException

    public ActionException(Exception e,
                           String message)

  Wrap the original exception and add an Action-specific message.

### ActionException

    public ActionException(Exception e)

  Wrap the original exception. The original exception's message will become this exception's message.

### ActionException

    public ActionException(String message)

### ActionException

    public ActionException()

Method Detail

### getEmbeddedException

    public Exception getEmbeddedException()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved